=== debian/control ===
Source: gatk-fermilite
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               libfml-dev,
               maven-repo-helper,
               testng <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/gatk-fermilite
Vcs-Git: https://salsa.debian.org/med-team/gatk-fermilite.git
Homepage: https://github.com/broadinstitute/gatk-fermilite-jni/
Rules-Requires-Root: no

Package: libgatk-fermilite-java
Architecture: all
Depends: libgatk-fermilite-jni (>= ${source:Version}),
         libgatk-fermilite-jni (<< ${source:Version}.1~),
         ${java:Depends},
         ${misc:Depends}
Suggests: fml-asm
Description: interface to call Heng Li's fermi-lite assembler from Java code
 Fml-asm (fermi-lite assembler) is a command-line tool for assembling Illumina
 short reads in regions from 100bp to 10 million bp in size, based on the
 fermi-lite library.
 .
 gatk-fermilite provides a Java library and a shared library to allow one to use
 fermilite from Java code.
 .
 This package contains the Java library.

Package: libgatk-fermilite-jni
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: interface to call Heng Li's fermi-lite assembler from Java code (jni)
 Fml-asm (fermi-lite assembler) is a command-line tool for assembling Illumina
 short reads in regions from 100bp to 10 million bp in size, based on the
 fermi-lite library.
 .
 gatk-fermilite provides a Java library and a shared library to allow one to use
 fermilite from Java code.
 .
 This package contains the JNI.
