## gatk-fermilite 1.2.1+dfsg

=== debian/changelog ===
gatk-fermilite (1.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * buildflags.patch: new: forward build flags. (Closes: #1124857)
  * d/rules: flag false positive blhc non-verbose builds.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Wed, 07 Jan 2026 20:45:55 +0100

gatk-fermilite (1.2.1+dfsg-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Tue, 05 Apr 2022 20:52:27 +0200

gatk-fermilite (1.2.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1008128)

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Mar 2022 21:43:37 +0100
