=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: gatk-fermilite
 Section: java
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-jdk-headless,
@@ -10,11 +8,10 @@
                libfml-dev,
                maven-repo-helper,
                testng <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/gatk-fermilite
 Vcs-Git: https://salsa.debian.org/med-team/gatk-fermilite.git
 Homepage: https://github.com/broadinstitute/gatk-fermilite-jni/
-Rules-Requires-Root: no
 
 Package: libgatk-fermilite-java
 Architecture: all
