=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --with maven_repo_helper

override_dh_auto_clean:
	dh_auto_clean
	if [ -e src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save ]; then \
	        mv src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c; \
	fi
	# Cleaning the C part
	cd src/main/c/ && make clean
	# Cleaning the custom pom
	-rm debian/pom.xml

override_dh_auto_configure:
	# Putting the version of fermi-lite in the JNI file so that is can output version information.
	cp src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save
	fmlVersion=$$(dpkg -s libfml-dev | grep "Version" | sed 's/Version: \(.*\)-.*/\1/') && \
	        sed -i "s/FML_COMMIT/\"$$fmlVersion\"/" src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c
	# Putting the version number in the custom pom.
	sed 's/\(VERSION_PACKAGE\)/\1$(DEB_VERSION_UPSTREAM)/; s/VERSION_PACKAGE\(.*\)+dfsg[0-9]*/\1/' debian/pom.xml.in > debian/pom.xml
	@ echo 'blhc: ignore-line-regexp: Compiling .*\.gradle.*'
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The shared lib should be looked for in its build directory.
	LD_LIBRARY_PATH="$$LD_LIBRARY_PATH:$$(readlink -f src/main/c)" dh_auto_test
endif
