=== debian/watch ===
Version: 5

Template: Github
Owner: broadinstitute
Project: gatk-fermilite-jni
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
